<?php

    require('db/config.php');
    require('db/database.php');

    //kreiranje upita
    $upit = 'SELECT * FROM vest ORDER BY datum_kreiranja DESC';
    
    //mysqli_query - odredjuje konekciju na bazu podataka iz koje uzimamo podatke i prosledjuje upit
    $rezultat = mysqli_query($konekcija, $upit);

    //prikazi sve rezultate iz svih redova
    $vest = mysqli_fetch_all($rezultat, MYSQLI_ASSOC);


    mysqli_free_result($rezultat); // oslobodi rezultat iz memorije

    mysqli_close($konekcija);
?>


            <?php include('includes/header.php');?>
            <div class="container">
                <h3>Sportske vesti</h3>
                <?php foreach($vest as $v) : ?>
                    
                    <div class="card card-body bg-light">
                        <h3><?php echo $v['naslov']; ?></h3>
                        <small><?php echo $v['datum_kreiranja']; ?></small>
                        <p><?php echo $v['telo']; ?></p>
                        <a href="<?php echo ROOT_URL; ?>clanak.php?id=<?php echo $v['id'];?>">Procitaj vise</a>
                        
                    </div>    
                <?php endforeach; ?>
            <?php include('includes/footer.php');?>




